﻿@model List<OpportunitiesView>
@using ARGNS.WebSite.Resources.Views.Opportunities
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";

}
@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@Opportunities.SearchOppor</h1>

<div class="row">
    <div class="col-md-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@Opportunities.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                        <div class="form-group">
                            <div class="form-group">
                                @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @Opportunities.CustCode, @class = "form-control" })
                            </div>
                                <div class="form-group">
                                    @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @Name = "txtNameVendor", @placeholder = @Opportunities.CustName, @class = "form-control", @disabled = "" })
                                </div>
                                <div class="form-group">
                                    <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@Opportunities.Search @Opportunities.BP</button>
                                </div>
                           

                        <div class="form-group">
                            <input id="SalesEmployeeNumber" name="SalesEmployeeNumber" type="hidden">
                            <div class="form-group">
                                @Html.TextBox("txtSalesEmployee", null, new { @Id = "txtSalesEmployee", @Name = "txtSalesEmployee", @placeholder = @PurchaseOrders.SE, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#SEModal"><span class="glyphicon glyphicon-search"></span>@Opportunities.Search @PurchaseOrders.SE</button>
                            </div>
                        </div>

                            <div class="form-group">
                                <input id="txtOwnerCode" name="txtOwnerCode" type="hidden">
                                @Html.TextBox("txtOwner", null, new { @Id = "txtOwner", @Name = "txtOwner", @placeholder = @Opportunities.Owner, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span> @Opportunities.Search @Opportunities.Owner</button>
                            </div>

                            <div class="form-group">
                                @Html.TextBox("txtOpporName", null, new { @Id = "txtOpporName", @Name = "txtOpporName", @placeholder = @Opportunities.OpporName, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtDate", null, new { @Id = "txtDate", @placeholder = @SaleOrders.Date, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                        </div>

                        <div class="form-group">                         
                                <select id="txtDocStatus" class="form-control" name="txtDocStatus">
                                    <option selected="selected" value="">@Opportunities.Status</option>
                                    <option value="O">@Opportunities.Open</option>
                                    <option value="L">@Opportunities.Lost</option>
                                    <option value="W">@Opportunities.Won</option>
                                </select>                            
                        </div>                      
                    </div>

                    <div class="panel-footer">

                        <button type="button" id="btSearch" class="btn btn-primary btn-lg pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> @Opportunities.Search</button>

                    </div>

                </div>
            </div>
        </div>
    </div>

    <div id="BodyOpportunity" class="col-md-9 sidebar-data">
        @Html.Partial("_OpportunitiesList", Model)
    </div>
</div>



@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/Opportunities/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Owner Modal*@
<div class="modal fade" id="EmployeeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @PurchaseOrders.Employee</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeEmployee" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameEmployee" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchEmployee" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchEmployee" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadEmployee" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyEmployee">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Sales Employee Modal*@
<div class="modal fade" id="SEModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSEModalSE">@PurchaseOrders.Search @PurchaseOrders.SE</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSE" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSE" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadSE" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySE">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/Opportunities-Index")



